curl --request GET \
--url https://api.aries.com/v1/indices/by-group \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aries.com/v1/indices/by-group"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aries.com/v1/indices/by-group', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"indices": [
{
"indexName": "S&P 500",
"symbol": "SPX",
"indexGroup": "IND_CBOM",
"currency": "USD",
"valoren": "998434"
},
{
"indexName": "NASDAQ Composite",
"symbol": "COMP",
"indexGroup": "IND_CBOM",
"currency": "USD",
"valoren": "1269719"
}
]
}Indices By Group
Retrieve all market indices belonging to a specific group category. Returns detailed information about indices within groups like Technology, Healthcare, International, or Custom portfolios.
Use Case: Display all technology sector indices (NASDAQ-100, SOX Semiconductor Index) when a user filters by the Technology index group.
Authorizations
OAuth2 Bearer token: obtain an access token from the token endpoint and send it in the Authorization header.
Query Parameters
Index group to retrieve recently-updated members from. Use GET /v1/indices/groups to discover the live list — see IndexGroup for the current published set with plain-English labels.
Identifier of an index data group. Each group is a publisher / index family. Use GET /v1/indices/groups at runtime to get the live list — the list below is the current published set:
IND_CBOC— CBOE Data Services CMSI – Crypto FeedIND_CBOCGI— CBOE Global IndicesIND_CBOF— CBOE Data Services CMSI – FTSEIND_CBOI— CBOE Data Services CMSI – iNAVIND_CBOM— CBOE Data Services CSMI (S&P 500, NASDAQ Composite, etc.)IND_CBOMSTAR— CBOE Data Services CSMI – MorningstarIND_DJI— Dow Jones IndicesIND_GIDS— Nasdaq Global Index Data ServiceIND_GIF— NYSE Global IndicesIND_SPF— S&P Complete IndicesINDBVMF— B3 / Brazil (Bm_Fbovespa)INDXNSE— National Stock Exchange of IndiaINDXSTU— Borse StuttgartINDXTSE— Toronto Stock Exchange
"IND_CBOM"
Response
Successful response
Show child attributes
Show child attributes
Was this page helpful?